LINUX.ORG.RU

Вышел Qmmp 1.0.0

 , ,


1

1

Сегодня вышла новая версия аудиоплеера Qmmp. Главной особенностью этого релиза является переход на Qt5.

Среди прочих изменений разработчик отмечает:

  • удалён модуль ffmpeg_legacy;
  • удалён устаревший модуль udisks;
  • удалена поддержка taglib версии ниже чем 1.8;
  • исправлен 16-битный конвертер;
  • исправлен русский перевод;
  • оптимизация эквалайзера;
  • оптимизация модулей flac и wavpack;
  • улучшен минимальный режим интерфейса с поддержкой обложек:
  • улучшен счётчик времени;
  • исправлены цвета списка воспроизведения;
  • устранены щелчки при проигрывании некоторых mp3-файлов;
  • устранена утечка памяти в модуле wavpack;
  • исправлена сортировка эффектов и декодеров;
  • исправлена возможная гонка ресурсов;
  • обновлён греческий перевод.

Вместе с главным проектом до версии 1.0.0 обновился Qmmp Plugin Pack, также перешедший на Qt5 и api qmmp 1.0.

>>> Подробности



Проверено: leave ()

Qt - это лучший фреймворк! Хотя и единственный, т.к. достойных конкурентов нет.

anonymous ()

Оно разве поддерживает заголовки окон нового гнома?

subwoofer ★★★★★ ()

Главной особенностью этого релиза является переход на Qt5.

Ееее, 4 месяца ждал с момента перехода на пятую плазму

arcanis ★★★ ()
Ответ на: комментарий от subwoofer

Т.е. ты считаешь, что разработчикам сабжа стоит подстраиваться под все системы? Ещё бы спросил как он в тайловых ВМ выглядит

anonymous ()
Ответ на: комментарий от anonymous

достойных конкурентов нет.

Да ладно, плохих тулкитов много.

t184256 ★★★★★ ()
Ответ на: комментарий от subwoofer

Почему гномософт может выглядить как дерьмо в KDE, а Qt-софт должен подстраиваться под гноме и чего-то там учитывать?

anonymous ()
Ответ на: комментарий от t184256

а кроссплатформенных и популярных даже среди них мало

grem ★★★★★ ()

исправлен русский перевод

мне казалось, команда разработчиков русский и так знает о_О

grem ★★★★★ ()

Для любителей стабильности выпущен 0.9.2 с аналогичными исправлениями.

anonymous ()

с qt4 можно еще собрать?

NK ★★★★★ ()
Ответ на: комментарий от NK

Выбор версии Qmmp
После выхода версии 1.0.0 Qmmp будет поддерживать Qt4 и Qt5. Для выбора правильного архива с исходными текстами под вашу версию Qt воспользуйтесь следующей таблицей.

Поддерживаемая версия Qt    | 4.6-4.8 | 5.4 и выше
---------------------------------------------------
Стабильные версии Qmmp      | 0.9.x   | 1.0.x
---------------------------------------------------
Разрабатываемая версия Qmmp | 0.10.0  | 1.1.0

grem ★★★★★ ()
Ответ на: комментарий от grem

мне казалось, команда разработчиков русский и так знает

Они что, из России?

anonymous ()
Ответ на: комментарий от anonymous

Учитывая, что оф. сайт доступен только на EN и RU и что их багтреккер завален сообщениями на русском, то более чем вероятно. Один из разработчиков trialuser02 (Ilya Kotov), в инфе из его профиля sourceforge упоминается город Тамбов.

grem ★★★★★ ()

Стесняюсь спросить, но... чем оно лучше Амарока?

gigamax ()
Ответ на: комментарий от gigamax

Плюсы относительно амарока.

1. Не тащит кеды
2. Не зависит от гстримера
3. Длительный цикл разработки.
4. Есть парочка нескучных плагинов.
5. Меняется гуй.
6. Поддержка всех cue-извращений.

Минусы относительно амарока

1. Нет коллекции
2. Много зависимостей
3. Упоротый разраб.
4. Убогий гуй по дефолту.
5. Срач в ядре.

anonymous ()
Ответ на: комментарий от undemeon

Ничего вы не понимаете в апельсинах тут прям 90е возвращаються к жизни и фраза напрашиваеться «А кому сейчас легко?» в общем одобрямс по полной QMMP forever

undemeon ()
Ответ на: комментарий от anonymous

Минусы относительно амарока
1. Нет коллекции

это же плюс

Allakka ★★★ ()
Ответ на: комментарий от t184256

Да ладно, плохих тулкитов много.

Плохих троллей, вроде тебя много.

anonymous ()
Ответ на: комментарий от gigamax

Стесняюсь спросить, но... чем оно лучше Амарока?

Счел данный вопрос за троллинг ^_^ QMMP рулит!

I-Love-Microsoft ★★★★★ ()

устранены щелчки при проигрывании

Там было такое?

UNiTE ★★★★★ ()

предлагаю традиционно скатить тему в deadbeef

thesame ★★★★ ()
Ответ на: комментарий от anonymous

1. Нет коллекции

Это относительно. В свое время выбросил амарок и поставил qmmp именно из за этого.

arcanis ★★★ ()
Ответ на: комментарий от anonymous

Минусы относительно амарока

Убогий гуй по дефолту.

Это и в сабже и в амароке. Только как я понимаю в сабже это можно подправить, а вот в амароке - нет.

fornlr ★★★★★ ()

Не мешало бы отметить, что ветка 0.9.x на Qt4 тоже будет поддерживаться

Falcon-peregrinus ★★★★★ ()
Ответ на: комментарий от Falcon-peregrinus

В арче уже 1.0.0 без вариантов. Пионеры такие пионеры.

anonymous ()
Ответ на: комментарий от gigamax

Тем что в Амароке слишком много ненужного.

anonymous ()
Ответ на: комментарий от thesame

ну вот ты и сам ответил на свой вопрос :) Если для KDE4 еще можно установить плагин с qt4, то для KDE5 либо трахаться с внешним видом qt4 приложения, либо трахаться с внешним видом gtk2 приложения, чтобы они не выглядели, как приложения с другой планеты в Qt5 окружении.

Альтернативный вариант, конечно, установить под плеер (которые, в принципе, даже на qt5, уже можно попой жевать) специальное ДЕ.

arcanis ★★★ ()
Ответ на: комментарий от thesame

а что, плеер должен уметь варить кофе? Ну тогда я бы поставил амарок или что там еще популярно

arcanis ★★★ ()

А он всё ещё похож на винамп? Помню он изначально был создан ради этого, т.е. чтобы был аналог Audacious, только на Qt.

Adept_of_shreedom ()

Не нужно, ведь есть Deadbeef...

Odalist ★★★★★ ()

Он по-прежнему не поддерживает APE! Это ж просто неприлично!
UPD: А нет, сорри, это файл битый был)
А в целом, хороший плеер. Поставлю жене, ибо она к винампу привыкла.

Strannik-j ()
Последнее исправление: Strannik-j (всего исправлений: 2)
Ответ на: комментарий от Sparx

Кому-то нужен просто плеер, а не комбайн

Кто-то может плагины и модули Амарока отключить и иметь только плеер. Зачем плодить сущности?

gigamax ()
Последнее исправление: gigamax (всего исправлений: 1)
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.